import { IsBoolean, IsInt, IsOptional, IsString } from 'class-validator';

export class UpdateCarritoDto {
  @IsInt()
  id_carrito: number;

  @IsBoolean()
  @IsOptional()
  activo?: boolean;

  @IsString()
  @IsOptional()
  carrito?: string;

  @IsInt()
  @IsOptional()
  id_modulo?: number;

  @IsInt()
  @IsOptional()
  id_tipo_carrito?: number;

  @IsString()
  @IsOptional()
  marca?: string;

  @IsString()
  @IsOptional()
  modelo?: string;
}
