import { Expose, Type } from 'class-transformer';
import { TipoCarritoOutputDto } from '../../../institucion-tipo-carrito/dto/output/tipo-carrito.dto';
import { ModuloMinOutputDto } from '../../../modulo/dto/output/modulo-min.dto';

export class CarritoMinOutputDto {
  @Expose()
  id_carrito;

  @Expose()
  carrito;

  @Type(() => ModuloMinOutputDto)
  @Expose()
  modulo;

  @Type(() => TipoCarritoOutputDto)
  @Expose()
  tipoCarrito;
}
