import { IsBoolean, IsInt, IsOptional, IsString } from 'class-validator';

export class UpdateModuloDto {
  @IsInt()
  id_modulo: number;

  @IsBoolean()
  @IsOptional()
  activo?: boolean;

  @IsString()
  @IsOptional()
  modulo?: string;
}
