import { IsBoolean, IsInt, IsOptional, IsString } from 'class-validator';

export class UpdateOperadorDto {
  @IsInt()
  id_operador: number;

  @IsBoolean()
  @IsOptional()
  activo?: boolean;

  @IsString()
  @IsOptional()
  password?: string;
}
