import { IsInt, IsNumberString, IsOptional, IsString } from 'class-validator';

export class PrestamoPedirDto {
  @IsInt()
  id_modulo: number;

  @IsInt()
  id_tipo_carrito: number;

  @IsInt()
  id_usuario: number;

  @IsInt()
  @IsOptional()
  id_tipo_entrada?: number;

  @IsInt()
  @IsOptional()
  id_programa?: number;
}
