import { Expose, Type } from 'class-transformer';
import { DiaOutputDto } from './dia.dto';
import { InstitucionMinOutputDto } from '../../../institucion/dto/output/institucion-min.dto';

export class InstitucionCarreaOutputDto {
  @Expose()
  activo;

  @Expose()
  hora_fin;

  @Expose()
  hora_inicio;

  @Expose()
  id_institucion_dia;

  @Expose()
  @Type(() => DiaOutputDto)
  dia;
}
